# $Revision: 1.15 $, $Date: 2009/03/14 12:37:06 $
%define		module	xmms

Summary:	Python bindings for XMMS
Summary(pl.UTF-8):	Dowiązania do XMMS dla Pythona
Name:		python-%{module}
Version:	2.07
Release:	1
License:	GPL
Group:		Development/Languages/Python
Source0:	http://people.via.ecp.fr/~flo/2002/PyXMMS/dist/pyxmms-%{version}.tar.bz2
# Source0-md5:	a2d4ef98242c21d4360ea2e2747112b3
URL:		http://people.via.ecp.fr/~flo/
BuildRequires:	pydoc
BuildRequires:	xmms-devel
%pyrequires_eq	python-libs
Requires:	xmms
Obsoletes:	python-pyxmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is PyXMMS, a Python interface to XMMS (the X MultiMedia System),
an audio (and video) player running on Unix platforms.

PyXMMS is a set of Python bindings for all the xmms_remote_* functions
accessible through the libxmms library (which comes with XMMS), plus a
few useful higher-level functions.

%description -l pl.UTF-8
Jest to interfejs Pythona do XMMS-a - odtwarzacza multimediów na
systemach uniksowych.

PyXMMS to dowiązania Pythona do wszystkich funkcji z serii
xmms_remote_* dostępnych poprzez bibliotekę libxmms, jak również
kilku przydatnych funkcji wysokiego poziomu.

%prep
%setup -q -n pyxmms-%{version}
cat << EOF > setup.cfg
[sdist]
formats=bztar,gztar,zip
[bdist]
formats=bztar,gztar,zip
[install]
prefix=/usr
EOF

%build
python setup.py build
python build-documentation.py

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS doc/*.html
%dir %{py_sitedir}/%{module}
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-xmms.spec,v $
Revision 1.15  2009/03/14 12:37:06  hawk
- release 1

Revision 1.14  2008/10/02 12:16:08  duddits
- up to 2.07

Revision 1.13  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.11  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.10  2005/02/25 19:41:59  petec
- updated to 2.04

Revision 1.9  2005/01/09 17:51:25  saq
- missing pyreqeq

Revision 1.8  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/10/24 21:18:05  paladine
- spelling fixes, uppercases, etc.

Revision 1.6  2004/08/11 22:51:50  troll
- updated to 2.03
- switched to bz2 source

Revision 1.5  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.3  2003/12/22 14:35:07  domelu
- change URL
- change Source0

Revision 1.2  2003/12/21 16:48:05  leafnode
- added building documentation
- BR: pydoc

Revision 1.1  2003/12/21 12:58:20  leafnode
- renamed package
- added missing dir, docs

Revision 1.4  2003/12/21 11:49:21  domelu
- updated to 2.02
- fixed %files
- added NEWS to %doc
- commit sponsored by kliketyklik-python-luser,
  leafnode fix it please (Release 0.1)

Revision 1.3  2003/10/28 12:12:41  qboosh
- pl fixes, fixed files (and removed .py), BR: xmms-devel

Revision 1.2  2003/10/28 10:17:10  djrzulf
- adapterized, added pl desc,

Revision 1.1  2003/10/28 10:08:07  averne
- initial release
